Liblinphone: linphone::ParticipantInfo Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ParticipantInfo Class Reference

Object defining all information related to a participant. More...

`#include <participant_info.hh>`

Inheritance diagram for linphone::ParticipantInfo:

## Public Member Functions
LINPHONECXX_PUBLIC | ParticipantInfo (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipantInfo * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Get the address of the object ParticipantInfo.
LINPHONECXX_PUBLIC linphone::Participant::Role | getRole () const
| Get the role of the object ParticipantInfo.
LINPHONECXX_PUBLIC void | setRole (linphone::Participant::Role role)
| Set the role of the object ParticipantInfo.
LINPHONECXX_PUBLIC void | addParameter (const std::string &name, const std::string &value)
| Set the a custom parameter to object ParticipantInfo.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantInfo > | clone () const
| Clone an object ParticipantInfo.
LINPHONECXX_PUBLIC std::string | getParameterValue (const std::string &name) const
| Get the value of a custom parameter of the object ParticipantInfo.
LINPHONECXX_PUBLIC bool | hasParameter (const std::string &name) const
| Find whether a ParticipantInfo has a parameter.
LINPHONECXX_PUBLIC void | removeParameter (const std::string &name)
| Find the value of a custom parameter of the object ParticipantInfo.

## Detailed Description

Object defining all information related to a participant.

## Member Function Documentation

## ◆ addParameter()

LINPHONECXX_PUBLIC void linphone::ParticipantInfo::addParameter | ( | const std::string & | name,
|  | const std::string & | value )

Set the a custom parameter to object ParticipantInfo.

Parameters

  name | the name of the parameter.
  value | the value of the parameter.

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantInfo > linphone::ParticipantInfo::clone | ( |  | ) | const

Clone an object ParticipantInfo.

Returns
  the cloned ParticipantInfo object.

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ParticipantInfo::getAddress | ( |  | ) | const

Get the address of the object ParticipantInfo.

Returns
  the Address of the ParticipantInfo object.

## ◆ getParameterValue()

LINPHONECXX_PUBLIC std::string linphone::ParticipantInfo::getParameterValue | ( | const std::string & | name | ) | const

Get the value of a custom parameter of the object ParticipantInfo.

Parameters

  name | the name of the parameter.

Returns
  value the value of the parameter.

## ◆ getRole()

LINPHONECXX_PUBLIC linphone::Participant::Role linphone::ParticipantInfo::getRole | ( |  | ) | const

Get the role of the object ParticipantInfo.

Returns
  the Participant::Role of the ParticipantInfo object.

## ◆ hasParameter()

LINPHONECXX_PUBLIC bool linphone::ParticipantInfo::hasParameter | ( | const std::string & | name | ) | const

Find whether a ParticipantInfo has a parameter.

Parameters

  name | the name of the parameter.

Returns
  true if the parameter is present, false otherwise

## ◆ removeParameter()

LINPHONECXX_PUBLIC void linphone::ParticipantInfo::removeParameter | ( | const std::string & | name | ) |

Find the value of a custom parameter of the object ParticipantInfo.

Parameters

  name | the name of the parameter.

## ◆ setRole()

LINPHONECXX_PUBLIC void linphone::ParticipantInfo::setRole | ( | linphone::Participant::Role | role | ) |

Set the role of the object ParticipantInfo.

Parameters

  role | the Participant::Role of the ParticipantInfo object.

The documentation for this class was generated from the following file:

- participant_info.hh